Profiles

Three separate endpoints are available for loading user profiles.

Load overview (posts and comments), posts, or comments.

Common Parameters

ValueTypeRequiredDescription
userstringtrueRequested user
sortstringfalseSort method (new, old, etc.)
communitystringfalseFilter to specific community

Loading

Overview

Load the overview (posts and comments) using the following endpoint.

GET https://api.scored.co/api/v2/content/profile.json

Posts

Load posts using the following endpoint.

GET https://api.scored.co/api/v2/post/profile.json

Comments

Load comments using the following endpoint.

GET https://api.scored.co/api/v2/comment/profile.json

Pagination

Pagination differs between user profile endpoints.

Overview

Paginate overview by passing post and comment parameters.

If you have loaded one page containing 4 posts and 21 comments, pass ?posts=4&comments=21 for the next page.

Posts and Comments

Paginate posts or comments using the page parameter.

For the second page, pass ?page=2.

page defaults to 1 if omitted.